Tool
deployment_preview_environment_create
Create a preview environment from an open PR
Create a preview environment from an open PR
Behavior
- HTTP
POST /deployment/preview-environments
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| prBranch | string | — | No description in the catalog. |
| prNumber | integer | • | No description in the catalog. |
| baseEnvironmentId | string | • | No description in the catalog. |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| name | string | • | |
| slug | string | • | |
| type | string | • | |
| status | string | • | |
| prBranch | string | • | |
| prNumber | integer | • | |
| createdAt | string | • | |
| expiresAt | string | • | |
| updatedAt | string | • | |
| isProduction | boolean | • | |
| lastErrorMessage | string | • | |
| baseEnvironmentId | string | • |
Try it
Create a preview environment from an open PR.